Subject: Re: bug#62332: error: java-eclipse-aether-Api: unbound variable

From: Julien Lepiller <[email-masked]>
Date: Tue, 21 Mar 2023 18:03:05 +0100

How weird, I don't see it spelled like that in the repository (latest master). I don't see any recent change in the file either.

Maybe there's an issue with your local checkout.
Guix has a checkout of the repository in one of the directories of ~/.cache/guix/checkouts. You should be able to locate it from its contents. What's the output of "git status" and "git diff"?

If there's tome change, you could try "git checkout ." to reset the repo to its original state.

Le 21 mars 2023 14:51:04 GMT+01:00, Matthew James Kraai <[email-masked]> a écrit :
>Hi,
>
>When I run `guix pull`, it displays the following output:
>
>```
>Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
>Authenticating channel 'guix', commits 9edb3f6 to 38b64d4 (48 new commits)...
>Building from this channel:
>  guix      https://git.savannah.gnu.org/git/guix.git	38b64d4
>substitute: updating substitutes from 'https://substitutes.nonguix.org'... 100.0%
>substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
>building /gnu/store/qmaxdq9qd8nnyig9qs55bv5ddbqss7d3-compute-guix-derivation.drv...
>Computing Guix derivation for 'x86_64-linux'... |Backtrace:
>In ice-9/boot-9.scm:
>   222:29 19 (map1 (((gnu packages java-compression)) ((gnu packages java-xml)) ((gnu packages libffi)) ((gnu # ?)) ?))
>   222:29 18 (map1 (((gnu packages java-xml)) ((gnu packages libffi)) ((gnu packages linux)) ((gnu packages #)) (#) ?))
>   222:29 17 (map1 (((gnu packages libffi)) ((gnu packages linux)) ((gnu packages maths)) ((gnu packages maven)) # ?))
>   222:29 16 (map1 (((gnu packages linux)) ((gnu packages maths)) ((gnu packages maven)) ((gnu packages #)) ((# ?)) ?))
>   222:29 15 (map1 (((gnu packages maths)) ((gnu packages maven)) ((gnu packages maven-parent-pom)) ((gnu # #)) (#) ?))
>   222:17 14 (map1 (((gnu packages maven)) ((gnu packages maven-parent-pom)) ((gnu packages ncurses)) ((gnu # #)) # ?))
>  3326:17 13 (resolve-interface (gnu packages maven) #:select _ #:hide _ #:prefix _ #:renamer _ #:version _)
>In ice-9/threads.scm:
>    390:8 12 (_ _)
>In ice-9/boot-9.scm:
>  3252:13 11 (_)
>In ice-9/threads.scm:
>    390:8 10 (_ _)
>In ice-9/boot-9.scm:
>  3536:20  9 (_)
>   2835:4  8 (save-module-excursion #<procedure 7ff1f8b574e0 at ice-9/boot-9.scm:3537:21 ()>)
>  3556:26  7 (_)
>In unknown file:
>           6 (primitive-load-path "gnu/packages/maven" #<procedure 7ff1f4d886e0 at ice-9/boot-9.scm:3543:37 ()>)
>In ice-9/eval.scm:
>    619:8  5 (_ #f)
>   626:19  4 (_ #<directory (gnu packages maven) 7ff1f888ae60>)
>   173:55  3 (_ #(#(#(#(#(#<directory (gnu packages maven) 7ff1f888ae60> "java-eclipse-aether-test-util") #) #) #) #))
>    159:9  2 (_ #(#(#(#(#(#<directory (gnu packages maven) 7ff1f888ae60> "java-eclipse-aether-test-util") #) #) #) #))
>   223:20  1 (proc #(#(#(#(#(#<directory (gnu packages maven) 7ff1f888ae60> "java-eclipse-aether-test-?") #) #) #) #))
>In unknown file:
>           0 (%resolve-variable (7 . java-eclipse-aether-Api) #<directory (gnu packages maven) 7ff1f888ae60>)
>
>ERROR: In procedure %resolve-variable:
>error: java-eclipse-aether-Api: unbound variable
>guix pull: error: You found a bug: the program '/gnu/store/3ibvvz7wnwxsayssdyb1rbyagx3zd9wh-compute-guix-derivation'
>failed to compute the derivation for Guix (version: "38b64d47ed3dfaeb63b859e7a8834e477ffed3a1"; system: "x86_64-linux";
>host version: "4f4e4abd3ac3552cbf8596a50b5dade8d111571f"; pull-version: 1).
>Please report the COMPLETE output above by email to <[email-masked]>.
>```
>
>This has been happening for some days.  Is there a way to resolve this?
>